 i.segment (GRASS 7.4.2) only produces a Goodness Raster but no Segmented Raster

2018-11-27 03:59 PM - Friedemann Scheibler

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GRASS

Affected QGIS version:3.4.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 28466

Description

I am trying to segment a single band raster dataset using the GRASS tool "i.segment" (GRASS version 7.4.2) with standard settings. With

the previous GRASS version, this worked without problems using the same dataset. Now, the resulting "Segmented Raster" only has no

data values. Interestingly, the "Goodness Raster" seems to be correct. I did not receive any error messages. This affects QGIS 3.4.1 and

QGIS 2.18.26 in the same way.

I attached the image I was trying to segment to this ticket.

History

#1 - 2019-01-30 06:12 PM - Alexander Bruy

- Status changed from Open to Feedback

- Operating System deleted (MS Windows 10 Enterprise)

Does this module works as expected when used in GRASS GIS directly?

#2 - 2019-03-09 03:03 PM - Giovanni Manghi

Just tested on 3.6 and works.

#3 - 2019-03-21 12:17 PM - Friedemann Scheibler

You're right. It's working now with Grass 7.6.

#4 - 2019-03-21 12:23 PM - Giovanni Manghi

Friedemann Scheibler wrote:

You're right. It's working now with Grass 7.6.

does it on 3.4.5?

#5 - 2019-05-23 08:21 AM - Alexander Bruy

- Resolution set to worksforme
- Status changed from Feedback to Closed

Works fine both in master and latest 3.4

Files

test.tif 78.5 KB 2018-11-27 Friedemann Scheibler
